jQuery(document).ready(function($) {

	// NAVBAR TOGGLE
	//---------------------------

	$('.nav-toggle').click(function(e)
	{
		e.preventDefault();
	});
	

	// SLIDERS
	//---------------------------

	if($('.flexslider').length > 0) {
		
		// round
		$('.slider-round').flexslider({
			animation: 'slide',
			controlNav: false,
			useCSS: false,
			easing: 'easeOutBounce',
			animationSpeed: 1000,
			slideshowSpeed: 5000
		});

		// simple
		$('.slider-simple').flexslider({
			animation: 'fade',
			controlNav: false,
			useCSS: false
		});
	}
	
	// STYLE SWITCHER
	//---------------------------

	if (intelli.config.navi_style_switcher == 1) {
		var currentBg  = intelli.config.navi_background;
		var currentClr = intelli.config.template_color_scheme;

		if (intelli.cookie.read('navi_background'))
		{
			var cookie = intelli.cookie.read('navi_background');

			$('header').removeAttr('class').addClass(cookie);
			currentBg = cookie; 
		} 

		if (intelli.cookie.read('template_color_scheme'))
		{
			var cookie = intelli.cookie.read('template_color_scheme');

			if (intelli.inArray(cookie, intelli.config.navi_styles.split(',')))
			{
				$('#base-stylesheet').attr('href', intelli.config.ia_url + 'templates/' + intelli.config.tmpl + '/css/iabootstrap-' + cookie + '.css');
				currentClr = cookie; 
			}
		}

		var backgrounds = function () {
			var bgs = '';

			$.each(intelli.config.navi_backgrounds.split(','), function() {
				bgs += '<li><a href="#">' + this + '</a></li>';
			});

			return bgs;
		}

		var colors = function () {
			var clrs = '';

			$.each(intelli.config.navi_styles.split(','), function() {
				clrs += '<li><a href="#">' + this + '</a></li>';
			});

			return clrs;
		}
		
		var switcher 	= '<div id="ia-style-switcher">' +
						  '	<a href="#" class="switch"><i class="icon-magic"></i></a>' +
						  '	<h3>Style switcher</h3>' +
						  '	<div class="switcher-group">' +
						  '		<h5>Background</h5>' +
						  '		<div class="btn-group">' +
						  '			<a class="btn btn-primary btn-small btn-plain dropdown-toggle" data-toggle="dropdown" href="#">' + currentBg + ' <span class="caret"></span></a>' +
						  '			<ul class="dropdown-menu backgrounds">' +
						  				backgrounds() +
						  '			</ul>' +
						  '		</div>' +
						  '	</div>' +
						  '	<hr>' +
						  '	<div class="switcher-group">' +
						  '		<h5>Color</h5>' +
						  '		<div class="btn-group">' +
						  '			<a class="btn btn-primary btn-small btn-plain dropdown-toggle" data-toggle="dropdown" href="#">' + currentClr + ' <span class="caret"></span></a>' +
						  '			<ul class="dropdown-menu colors">' +
						  				colors() +
						  '			</ul>' +
						  '		</div>' +
						  '	</div>' +
						  '</div>';

		$('body').append(switcher);

		$('#ia-style-switcher .switch').on('click', function () {
			var switcher = $(this).parent();

			if (!switcher.hasClass('visible')) {
				switcher.addClass('visible').animate({
					left: '0'
				});
			} else {
				switcher.animate({
					left: '-200px'
				}, function () {
					switcher.removeClass('visible');	
				});
			}

			return false;
		});

		$('#ia-style-switcher .backgrounds a').on('click', function () {
			var chosen = $(this).text();

			$(this).closest('.dropdown-menu').dropdown('toggle').prev().html(chosen + ' <span class="caret"></span>');
			$('header').removeAttr('class').addClass(chosen);

			intelli.cookie.write('navi_background', chosen, 30, intelli.config.baseurl.replace(window.location.origin, ''));

			return false;
		});

		$('#ia-style-switcher .colors a').on('click', function () {
			var chosen = $(this).text();

			$(this).closest('.dropdown-menu').dropdown('toggle').prev().html(chosen + ' <span class="caret"></span>');
			
			$('#base-stylesheet').attr('href', intelli.config.ia_url + 'templates/' + intelli.config.tmpl + '/css/iabootstrap-' + chosen + '.css');

			intelli.cookie.write('template_color_scheme', chosen, 30, intelli.config.baseurl.replace(window.location.origin, ''));

			return false;
		});
	} else {
		intelli.cookie.clear('navi_background');
		intelli.cookie.clear('template_color_scheme');
	};

	// Back to top button.

	var $backToTopBtn = $('<a href="#" id="backToTop"><i class="icon-chevron-up"></i></a>'),
		scroll_timer,
		displayed     = false,
		$window       = $(window),
		top           = $(document.body).children(0).position().top;
	
	$('body').append($backToTopBtn);

	$window.scroll(function () {
		window.clearTimeout(scroll_timer);
		
		scroll_timer = window.setTimeout(function () {
			if($window.scrollTop() <= top)
			{
				displayed = false;
				$backToTopBtn.fadeOut(500);
			}
			else if(displayed == false)
			{
				displayed = true;
				$backToTopBtn.stop(true, true).show().click(function () { $backToTopBtn.fadeOut(500); });
			}
		}, 100);
	});

	$('body').on('click', '#backToTop', function (e) {
		e.preventDefault();

		$('html, body').animate({
			scrollTop: 0
		}, 'fast');
	});

});